Subject: Re: suggestions for gitweb

From: Michael Niedermayer <[email-masked]>
Date: Mon, 14 May 2007 04:00:02 +0200

Hi

On Mon, May 14, 2007 at 03:08:31AM +0200, Petr Baudis wrote:
>   Hi,
> 
> On Sun, May 13, 2007 at 02:01:52AM CEST, Michael Niedermayer wrote:
> > On Sat, May 12, 2007 at 03:39:25PM -0700, Junio C Hamano wrote:
> > > Michael Niedermayer <[email-masked]> writes:
> > > 
> > > > * gitweb uses many terms which are new to a non git user, and while
> > > >   devlopers who work on ffmpeg will very likely very quickly have
> > > >   figured out the meaning of all of them. i think simple users who just
> > > >   want to browse the ffmpeg code will have their problems, so i belive 
> > > >   a small help text linked to from all pages which contains a short
> > > >   definition of all the git(web) specific terms would be very helpfull
> > > >   something like
> > > >     blob        - file      at a specific revission/date
> > > >     tree        - directory at a specific revission/date
> > > >     (short) log - project wide commit log
> > > >     history     - short log equivalent for a file or directory
> > > 
> > > Coming fron non-CVS camp, I think changing this to non-git terms
> > > is very harmful than educating users who are migrating from
> > > other systems.
> > 
> > you must missunderstand me :(
> > i want to educate them, but i cannot as iam not speaking about ffmpeg
> > developers/contributors but rather random people who are curious and 
> > want to take a look at the ffmpeg source
> > 
> > for them a simple help link similar to "ViewVC Help" which viewvc has
> > on the bottom right of its pages would be great IMHO
> > also the text above is a pure random suggestion by a svn user and was
> > not intended to redefine any git terms
> 
>   I seriously doubt the usefulness of this. Meaning of all the links except
> maybe blob seems immediately obvious for me, even if I try to imagine
> that I know nothing about Git; maybe I'm wrong here, I might try to do
> an experiment. :-)
> 
>   But, even if that's the case, when a new user meets gitweb and looks
> at the 'history' link, what do you think she will do? Start hunting the
> page for some link to a glossary? I yet have to see a user like that :-)
> - I will bet that she just clicks at the link and figures out what it is
> about based on what happenned.

i agree with you that she will click on 'history' and figure out what it is
but if she wants to see the contents of one of the files then i think
she will be confused and not know where to click, and a 'help' link which
would lead to a page which explains what 'blob' is at the top of the page
would solve that with less frustration than random clicking around
(renaming blob to file_content would work too but i guess i would be
 lynched for mere suggesting ...)

this of course is not really a problem for ffmpeg, we could easily change
"our" gitweb to contain a help link

[...]
-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

The misfortune of the wise is better than the prosperity of the fool.
-- Epicurus